Subject: A channel is impossible to remove if it becomes inaccessible

From: Nathan Dehnel <[email-masked]>
Date: Sat, 28 Sep 2024 18:31:26 -0500

A channel is inaccessible, so I have disabled it in my home config:

        (simple-service 'channels-service
               home-channels-service-type
;;                (list
;;                 (channel
;;                  (name 'gooby-channel)
;;                  (url
"https://gentooserver.dehnel.info/gitea/nathan/gooby-channel.git"))

I try to reconfigure the system to get rid of the channel so I can
guix pull. The reconfigure tries to fetch the channel which fails
because the server is down, which prevents me from removing the
channel or updating my system

Backtrace:
         19 (primitive-load "/home/nathan/.config/guix/current/bin/…")
In guix/ui.scm:
  2326:7 18 (run-guix . _)
 2289:10 17 (run-guix-command _ . _)
In ice-9/boot-9.scm:
 1752:10 16 (with-exception-handler _ _ #:unwind? _ # _)
In guix/status.scm:
   859:3 15 (_)
   839:4 14 (call-with-status-report _ _)
In guix/scripts/system.scm:
  1311:4 13 (_)
In ice-9/boot-9.scm:
 1752:10 12 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
  689:37 11 (thunk)
  1330:8 10 (call-with-build-handler #<procedure 7f4c9da61e10 at g…> …)
 2210:25  9 (run-with-store #<store-connection 256.100 7f4c92faedc0> …)
In guix/scripts/system.scm:
 1335:15  8 (_ _)
   838:5  7 (perform-action reconfigure #<<image> name: #f format:…> …)
In guix/scripts/system/reconfigure.scm:
   347:3  6 (check-forward-update _ #:current-channels _)
In srfi/srfi-1.scm:
  691:23  5 (filter-map #<procedure 7f4c9902fd40 at guix/scripts…> . #)
In guix/scripts/system/reconfigure.scm:
  354:39  4 (_ #<<channel> name: gooby-channel url: "https://gentoo…>)
In guix/git.scm:
  561:29  3 (update-cached-checkout "https://gentooserver.dehnel.i…" …)
  463:13  2 (_ git-error #<<git-error> code: -17 message: "the SSL …>)
In ice-9/boot-9.scm:
 1685:16  1 (raise-exception _ #:continuable? _)
 1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Git error: the SSL certificate is invalid